Anonymous Login
2019-04-24 19:24 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001648v3.4 Release (Current)[All Projects] Taskspublic2019-01-03 12:53
Reportergsapu 
Assigned Toopto 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0001648: Assigned users not shown
DescriptionSome users are assigned to a task.
Under 'view', nothing is shown, except one line per user ending with 100%.
Additional Informationprobable error in style/_common/tasks/view.php lines 208-217
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0003747

caseydk (administrator)

Most likely the User's Contact record is incomplete. Can you check out the Contact record and see if the Display Name has a value?

In the meantime, I've tweaked the display to use their email address if it's not set:
https://github.com/web2project/web2project/commit/2109ef8c4c0c3561817d9840ceace21a78105c77

~0003749

gsapu (reporter)

Sorry for delay and bugging again,
problem seems to be that "$row['user_email']" is not defined.
In fact, in the array "row" there is no 'user_email' nor 'contact_email'. Instead, there are 17 columns, which do include "contact_display_name".

~0003751

Themoulos (reporter)

A quick and dirty workaround:
Edit the "w2p_email" function? It is defined in ....\web2project\includes\main_functions.php

The complete function follows:

===============================================

function w2p_email($email, $name = '') {
 $result = '';
 if ($email != '') {
     $name = ('' != $name) ? $name : $email;
     $result = '' . $email . '';
 } else {
     $result = $name.' (no email)'; // This is what Themoulos added
 }
 
 return $result;
}

======================================================

I hope it helps you to bypass the problem (not solve it, though). Expecting a better solution...

~0003770

opto (manager)

see https://github.com/web2project/web2project/pull/295/commits/6d50c963c167cd25d92963f159402b94d40c0468 for fix

~0003771

Themoulos (reporter)

This (among others) has been solved in the forum (http://support.web2project.net/questions/1994/assigned-users-not-showing-on-task-view.html ), but the solution has not been updated here. My omittion - Sorry!

~0003808

caseydk (administrator)

Changed these from closed to resolved.

As a practice, it's resolved once it's in the repository but not closed until it's merged onto master.

~0003932

caseydk (administrator)

In the 31 Dec 2018 release: http://docs.web2project.net/release-notes/3.4.html
+Notes

-Issue History
Date Modified Username Field Change
2015-03-14 07:04 gsapu New Issue
2015-04-10 22:48 caseydk Note Added: 0003747
2015-04-10 22:48 caseydk Status new => resolved
2015-04-10 22:48 caseydk Fixed in Version => 3.3
2015-04-10 22:48 caseydk Resolution open => fixed
2015-04-10 22:48 caseydk Assigned To => caseydk
2015-05-21 01:33 gsapu Note Added: 0003749
2015-05-21 01:33 gsapu Status resolved => feedback
2015-05-21 01:33 gsapu Resolution fixed => reopened
2015-07-11 13:11 Themoulos Note Added: 0003751
2016-04-25 13:01 opto Note Added: 0003770
2016-04-25 21:33 Themoulos Note Added: 0003771
2016-04-27 23:36 opto Status feedback => closed
2016-04-27 23:36 opto Assigned To caseydk => opto
2016-04-27 23:36 opto Resolution reopened => fixed
2016-04-30 22:42 opto Project v3.3 Release => v3.4 Release (Current)
2016-04-30 22:42 opto Category Tasks => General
2016-12-27 23:32 caseydk Category General => Tasks
2016-12-28 00:19 caseydk Status closed => resolved
2016-12-28 00:19 caseydk Note Added: 0003808
2019-01-03 12:53 caseydk Note Added: 0003932
2019-01-03 12:53 caseydk Status resolved => closed
+Issue History